Create a personal API key - Barndoor Documentation
Create a personal API key
cURL
curl --request POST \
--url https://app.barndoor.ai/api/llm-gateway/user/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\
{
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'
Python
import requests
url = "https://app.barndoor.ai/api/llm-gateway/user/api-keys"
payload = {
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', expires_at: '2023-11-07T05:31:56Z'})
};
fetch('https://app.barndoor.ai/api/llm-gateway/user/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/user/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/user/api-keys"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"}\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://app.barndoor.ai/api/llm-gateway/user/api-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"}\n")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://app.barndoor.ai/api/llm-gateway/user/api-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"}\n"
response = http.request(request)
puts response.read_body
Response Format
200 - application/json
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key_prefix": "<string>",
"key": "bd-abcd1234ef56...",
"scopes": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"group_name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
Authorizations
Authorization
string
header
required
JWT obtained through Barndoor's authentication flow. Pass the token verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.
Body
application/json
name
string
requiredexpires_at
string| null
Response
200 - application/json
The newly created key
id
string
requiredname
string
requiredkey_prefix
string
requiredkey
string
required
The raw API key. Returned only at creation time and never stored in plaintext — copy it immediately.scopes
string[]
requiredcreated_at
string
requiredgroup_name
string | nullexpires_at
string| null